> For the complete documentation index, see [llms.txt](https://developers.welcomekit.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.welcomekit.co/employer-branding-api/untitled.md).

# Images

The dimensions of each image type are as follows:

* “standard” image dimensions fit within 2000x3000 px&#x20;
* “large” image dimensions fit within 1200x2000 px&#x20;
* “medium” image dimensions fit within 850x850 px
* “small” image dimensions fit within 650x650 px&#x20;
* “thumb” image dimensions fit within 200x200 px

{% hint style="info" %}
&#x20;This endpoint requires the `images_r` or `su_images_r` scope.
{% endhint %}

## images

<mark style="color:blue;">`GET`</mark> `https://www.welcomekit.co/api/v1/external/images`

#### Query Parameters

| Name                                                      | Type    | Description               |
| --------------------------------------------------------- | ------- | ------------------------- |
| organization\_reference<mark style="color:red;">\*</mark> | string  | Organization reference    |
| per\_page                                                 | integer | Number of images per page |
| page                                                      | integer | Page offset               |

{% tabs %}
{% tab title="200 Success" %}

```
[
  {
   "name": "WTTJ team",
   "description": "Welcome To The Jungle team",
   "file": {
             "url": "https://cdn.welcometothejungle.co/uploads/website_organization/cover_image/wttj_fr/fr-wttj.jpg",
             "large": {"url": "https://cdn.welcometothejungle.co/uploads/website_organization/cover_image/wttj_fr/large_fr-wttj.jpg"},
             "medium": {"url": "https://cdn.welcometothejungle.co/uploads/website_organization/cover_image/wttj_fr/medium_fr-wttj.jpg"},
             "small": {"url": "https://cdn.welcometothejungle.co/uploads/website_organization/cover_image/wttj_fr/small_fr-wttj.jpg"},
             "thumb": {"url": "https://cdn.welcometothejungle.co/uploads/website_organization/cover_image/wttj_fr/thumb_fr-wttj.jpg"}
           },
    "created_at": "2019-03-28T10:00:01.403+01:00",
    "updated_at": "2019-03-28T10:00:01.403+01:00"
  },
  ...
]
```

{% endtab %}
{% endtabs %}

Request example

```
curl -X GET -G "https://www.welcomekit.co/api/v1/external/images" \
    -H "Content-Type: application/json" \
    -H "Authorization: Bearer WK_API_KEY" \
    -d "organization_reference=Pg4eV6k" \
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.welcomekit.co/employer-branding-api/untitled.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
